
From: Arjan van de Ven <arjanv@redhat.com>

a user can do echo 32000 > /proc/sys/vm/nr_hugepapges; at which point most
boxes will get spew about allocation failure. This of course isn't a real
bug so the patch below quiets that.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/hugetlb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/hugetlb.c~make-hugetlb-expansion-allocation-nowarn mm/hugetlb.c
--- 25/mm/hugetlb.c~make-hugetlb-expansion-allocation-nowarn	2004-09-02 18:14:20.000000000 -0700
+++ 25-akpm/mm/hugetlb.c	2004-09-02 18:42:47.514335904 -0700
@@ -52,7 +52,7 @@ static struct page *alloc_fresh_huge_pag
 {
 	static int nid = 0;
 	struct page *page;
-	page = alloc_pages_node(nid, GFP_HIGHUSER|__GFP_COMP,
+	page = alloc_pages_node(nid, GFP_HIGHUSER|__GFP_COMP|__GFP_NOWARN,
 					HUGETLB_PAGE_ORDER);
 	nid = (nid + 1) % numnodes;
 	if (page) {
_
